<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>Frame Multi-Type Size test</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">Frame Multi-Type/Size test </H1>

        <H2>Test Objectives</H2>
		<UL>
        <li>Exercise the frame commands <b>getFrameData, concatFrameData and getFrameElements</b></li><p>
		<LI>Exercise different options of frame query to generate one or more output in ilwd,xml or frame.</LI>		
		</UL>
		
		<H2>APIs affected by this test</H2>
		<UL>
		<LI><font color='brown'>managerAPI</font>: directs processing of the insertion user commands to other APIs
			and returns the user command status to the user.</LI>
		<LI><font color='brown'>diskcacheAPI</font>: 
			<UL>
			<LI>Retrieves the frame file names required by the frame query in ldas command.</li>
			</UL>
		<LI><font color='brown'>frameAPI</font>: 
			<UL>
			<LI>Retrives the frame data specified</LI>
			</UL>
		</UL>
				
        <H2>Setup</H2>
        <ul>
        <li>ligotools package is required for running this test. Check that it is mounted</li><p>
        <li>Install the following tests script in a directory on your local machine or the ldas system
		<UL><p>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/frtest.tcl?rev=HEAD;content-type=text%2Fplain'>frtest.tcl</a></font></li>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/qalib.tcl?rev=HEAD;content-type=text%2Fplain'>qalib.tcl</a></font>
        - support functions</li>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/qatest.tcl?rev=HEAD;content-type=text%2Fplain'>qatest.tcl</a></font>
        - support functions</li>
		</UL>
        </li><p>
        <li>The following frame directory and its frame files must be mounted on ldas system and known to diskcacheAPI:<p>
        <p><i>/ldas_outgoing/test/frames/assorted</i> and frame files 
        <pre><font color='brown'>    
            /ldas_outgoing/test/frames/assorted/P-R-600000000-1.gwf
            /ldas_outgoing/test/frames/assorted/P-R-600000000-16.gwf
            /ldas_outgoing/test/frames/assorted/P-R-600000000-64.gwf
            
            /ldas_outgoing/test/frames/assorted/P-R-600000001-1.gwf
            /ldas_outgoing/test/frames/assorted/P-R-600000016-16.gwf
            /ldas_outgoing/test/frames/assorted/P-R-600000064-64.gwf
            
        </font></pre>
        </ul>
        <H2>Test Execution</H2>

		<p>cd &lt;your scripts directory&gt;<p>
		
        <B>Usage:</B> <CODE>frtest.tcl [options] >& frtest.log & </CODE>

        <P><TABLE border=1 cellspacing=0 cellpadding=10>
            <TR>
                <TH><B>Option</B>
                <TH><B>Description</B>
			<TR>
                <TD valign=top><CODE>&lt;-s&gt;</CODE>
                <TD>ldas site e.g. dev, llo, cit, ldas-suntest3
        </TABLE><p>e.g.<pre><font color='brown'>
            frtest.tcl -s dev >& frtest.log &
            </font></pre>
		<p>
		<H2>Test Validation:</H2>
		When test has completed, check the end for expected passes and failures. 
        Example of expected failure:
        <pre><font color='brown'>
        Error from LJrun: getFrameElements -outputformat option syntax uses the 'frame' keyword to 
        produce seperate ilwd files for each input frame when used in combination with the 'ilwd' and 'ascii' or 'binary' 
        keywords. when 'frame' is used by itself it is ambiguous for the getFrameElements user command.

        </font></pre>
        
        <p>As of ldas 1.2.3 here are the expected results:
        e.g. <pre><font color='brown'>
        frtest.tcl:	Total	189	Passed	183	Skipped	0	Failed	6
         </font></pre>

    </BODY>
</HTML>

